org.openstreetmap.josm.plugins.streetside

## Class StreetsideLocationChangeset

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractSet<StreetsideImage>
    - - org.openstreetmap.josm.plugins.streetside.StreetsideLocationChangeset

- All Implemented Interfaces:
    java.lang.Iterable<StreetsideImage>, java.util.Collection<StreetsideImage>, java.util.Set<StreetsideImage>

      public class StreetsideLocationChangeset
      extends java.util.AbstractSet<StreetsideImage>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.util.Set<StreetsideImage>` | `changeset`
    `private java.util.Set<StreetsideChangesetListener>` | `listeners`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StreetsideLocationChangeset()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `add(StreetsideImage image)`
    `void` | `addChangesetListener(StreetsideChangesetListener listener)`
    `void` | `cleanChangeset()`
    `private void` | `fireListeners()`
    `java.util.Iterator<StreetsideImage>` | `iterator()`
    `boolean` | `remove(java.lang.Object image)`
    `int` | `size()`

    - ### Methods inherited from class java.util.AbstractSet

      `equals, hashCode, removeAll`

    - ### Methods inherited from class java.util.AbstractCollection

      `addAll, clear, contains, containsAll, isEmpty, retainAll, toArray, toArray, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Set

      `addAll, clear, contains, containsAll, isEmpty, retainAll, spliterator, toArray, toArray`

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, removeIf, stream`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

- - ### Field Detail

    - #### listeners

          private final java.util.Set<StreetsideChangesetListener> listeners

    - #### changeset

          private final java.util.Set<StreetsideImage> changeset

  - ### Constructor Detail

    - #### StreetsideLocationChangeset

          public StreetsideLocationChangeset()

  - ### Method Detail

    - #### addChangesetListener

          public void addChangesetListener(StreetsideChangesetListener listener)

    - #### cleanChangeset

          public void cleanChangeset()

    - #### fireListeners

          private void fireListeners()

    - #### add

          public boolean add(StreetsideImage image)

      Specified by:
        `add` in interface `java.util.Collection<StreetsideImage>`
      Specified by:
        `add` in interface `java.util.Set<StreetsideImage>`
      Overrides:
        `add` in class `java.util.AbstractCollection<StreetsideImage>`

    - #### iterator

          public java.util.Iterator<StreetsideImage> iterator()

      Specified by:
        `iterator` in interface `java.lang.Iterable<StreetsideImage>`
      Specified by:
        `iterator` in interface `java.util.Collection<StreetsideImage>`
      Specified by:
        `iterator` in interface `java.util.Set<StreetsideImage>`
      Specified by:
        `iterator` in class `java.util.AbstractCollection<StreetsideImage>`

    - #### size

          public int size()

      Specified by:
        `size` in interface `java.util.Collection<StreetsideImage>`
      Specified by:
        `size` in interface `java.util.Set<StreetsideImage>`
      Specified by:
        `size` in class `java.util.AbstractCollection<StreetsideImage>`

    - #### remove

          public boolean remove(java.lang.Object image)

      Specified by:
        `remove` in interface `java.util.Collection<StreetsideImage>`
      Specified by:
        `remove` in interface `java.util.Set<StreetsideImage>`
      Overrides:
        `remove` in class `java.util.AbstractCollection<StreetsideImage>`

JOSM Plugins